{% extends 'clients/base.html' %} {% block content %} {% load static %}

<div class="row">
  <div class="col-md-2 mx-2 my-2">
    <h2>Clienti</h2>
  </div>
</div>

<form class="form" id="add-client-form" method="POST" action="" role="form">
  {% csrf_token %} {{ form.non_field_errors }}
  <div class="form-row" id="error-provider-name">
    <div class="form-group col-md-4">
      <span class="text-danger small">{{ form.last_name.errors }}</span>
    </div>
    <div class="form-group col-md-4">
      <span class="text-danger small">{{ form.first_name.errors }}</span>
    </div>
    <div class="form-group col-md-4">
      <span class="text-danger small">{{ form.cnp.errors }}</span>
    </div>
  </div>

  <div class="form-row">

    <div class="form-group col-md-4">
      <label for="{{ form.last_name.id_for_label }}">Nume:</label>
      {{ form.last_name }} {% if form.last_name.help_text %}
      <p class="help">{{ form.last_name.help_text|safe }}</p>
      {% endif %}
    </div>

    <div class="form-group col-md-4">
      <label for="{{ form.first_name.id_for_label }}">Prenume:</label>
      {{ form.first_name }} {% if form.first_name.help_text %}
      <p class="help">{{ form.first_name.help_text|safe }}</p>
      {% endif %}
    </div>

    <div class="form-group col-md-4">
      <label for="{{ form.cnp.id_for_label }}">CNP:</label>
      {{ form.cnp }} {% if form.cnp.help_text %}
      <p class="help">{{ form.cnp.help_text|safe }}</p>
      {% endif %}
    </div>

  </div>

  <div class="row justify-content-between">
    <div class="col-4">
      <button class="btn btn-success" style="width:100px" type="submit">OK</button>
    </div>
    <div class="co-4">
      <button class="btn btn-info">Exporta excel</button>
    </div>
  </div>
  
  

</form>

<ol reversed class="offset-md-2">

  {% if clients %} {% for client in clients %}

  <li>
    <a href="{% url 'clients:client-update' client.id %}">{{client.client_id}}: {{ client }}</a>
  </li>

  {% endfor %} {% endif %}

</ol>

{% endblock %}